Expire a preview
DELETE /v1/previews/{previewId} · SDK deletePreview · CLI deployments preview delete
Requires runs:write.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
previewId*string^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$PreviewResponse
application/json- response
createdAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeupdatedAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeversion*number|||environmentId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$organizationId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$agentName*stringcontentHash*stringcreatedBy*expiredAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeexpiresAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeid*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$object*"preview""preview"runtimeConfigFromAgentDeploymentId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$status*string"active""expired"curl -X DELETE "https://example.com/v1/previews/string"{ "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "environmentId": "string", "organizationId": "string", "projectId": "string", "agentName": "string", "contentHash": "string", "createdBy": { "id": "string", "type": "agent" }, "expiredAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "object": "preview", "runtimeConfigFromAgentDeploymentId": "string", "status": "active"}